package com.tzld.piaoquan.recommend.server.service.score;

import com.tzld.piaoquan.recommend.server.common.base.RankItem;
import com.tzld.piaoquan.recommend.server.service.score.model.ThompsonSamplingModel;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;
import java.util.Map;


public abstract class BaseThompsonSamplingScorer extends AbstractScorer {

    private static Logger LOGGER = LoggerFactory.getLogger(BaseThompsonSamplingScorer.class);

    public BaseThompsonSamplingScorer(ScorerConfigInfo scorerConfigInfo) {
        super(scorerConfigInfo);
    }

    @Override
    public void loadModel() {
        doLoadModel(ThompsonSamplingModel.class);
    }
    @Override
    public List<RankItem> scoring(final Map<String, String> sceneFeatureMap,
                                           final Map<String, String> userFeatureMap,
                                           final List<RankItem> rankItems){

        return rankItems;
    }

}
